Loading...
Searching...
No Matches
gx_ui_builder.h File Reference
`#include <gxwmm/controlparameter.h>`
`#include <gxwmm/regler.h>`

Go to the source code of this file.

## Classes

class | gx_gui::GxBuilder
| class GxBuilder More...
class | gx_gui::UiBuilderImpl

## Namespaces

namespace | gx_gui

## Macros

#define | SRC_HEADERS_GX_UI_BUILDER_H_

## Functions

gx_engine::Parameter * | gx_gui::check_get_parameter (gx_engine::GxMachineBase &machine, const std::string &id, Gtk::Widget *w)
gx_engine::FloatParameter * | gx_gui::check_get_float_parameter (gx_engine::GxMachineBase &machine, const std::string &id, Gtk::Widget *w)
bool | gx_gui::ui_connect_switch (gx_engine::GxMachineBase &machine, Gtk::ToggleButton *b, const string &id, sigc::signal< void(bool)> *out_ctr, bool disable)
bool | gx_gui::ui_connect (gx_engine::GxMachineBase &machine, Gtk::Widget *w, const std::string &id, sigc::signal< void(bool)> *out_ctr)
GtkWidget * | gx_gui::load_toplevel (GtkBuilder *builder, const char *filename, const char *windowname)

## Macro Definition Documentation

## SRC_HEADERS_GX_UI_BUILDER_H_

#define SRC_HEADERS_GX_UI_BUILDER_H_

Definition at line 26 of file gx_ui_builder.h.